<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::Particle Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#58bee75a698865e094bd338ad260ff8a">_notifyOwner</a>(ParticleSystem *owner)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#dbb195c8ac77dac1051a927d744034a5">_notifyVisualData</a>(ParticleVisualData *vis)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#f0a9c1c6fed9b18ff0f0c6d27fe67e23">colour</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#d096a8561ce604af5262b1bb2aeee56a">direction</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e2542e46625a50eb279c03f665fa715d749">Emitter</a> enum value</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#e3cbb490ad08cdee104e99757fe950a6">getOwnHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#5290732791067176c46213f202e7c825">getOwnWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#7b0d81161cc9001be6d9d5f6014ef0a7">getRotation</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#bcc488e921cb51541564743724b45cba">getVisualData</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#8f4a78d8b0adf3475c34f8f5627d13cd">hasOwnDimensions</a>(void) const </td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#93027e6a8be2be918488edf6c88217c0">mHeight</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#c4a7e742d6abd51a9dceaec92eb0e23a">mOwnDimensions</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#bdb83d31d2f73646b23a82fa8dddb2ef">mParentSystem</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#6484d779038d54ca579b9939181c6ecf">mVisual</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#df524dfe79984bbdeb8130f5c0348fdb">mWidth</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#c8af4974850cd869b3f2331927dce745">Particle</a>()</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25">ParticleType</a> enum name</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#193b1bf36fb1fae4ed7f2a24dc6b50bd">particleType</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#2e4517ab1b59795b66fef4b8aefbde28">position</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#44700655800282c23c7f3f97debfacf7">resetDimensions</a>(void)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#2d3471733bab703d13c19a7408a09c4c">rotation</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#6c340715b6b34951ac5b09ece49a93f1">rotationSpeed</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#6a2bc4941c3c346f6d9936e447dde3c9">setDimensions</a>(Real width, Real height)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#bfea8fc856e37f26eb5901e930c7b21f">setRotation</a>(const Radian &amp;rad)</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#11f740b29bc51425c987632d037e3da9">timeToLive</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#50c7f1900cf53966599cd9ad53c9b199">totalTimeToLive</a></td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Particle.html#1c17e03466492e1983a439eb7e540e25f72cab2ce3d47d8aa4ec32797372bd81">Visual</a> enum value</td><td><a class="el" href="classOgre_1_1Particle.html">Ogre::Particle</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:17 2008
</p>
</body>
</html>
